<html>
<head>
<title>OGRE: Ogre::RaySceneQueryResultEntry Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html">RaySceneQueryResultEntry</a></div>
<h1>Ogre::RaySceneQueryResultEntry Struct Reference</h1><!-- doxytag: class="Ogre::RaySceneQueryResultEntry" -->This struct allows a single comparison of result data no matter what the type.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1RaySceneQueryResultEntry-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#34a0b8081991ce12025445ae35117ca6">operator&lt;</a> (const <a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html">RaySceneQueryResultEntry</a> &amp;rhs) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparison operator for sorting.  <a href="#34a0b8081991ce12025445ae35117ca6"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#f3e8eed523c4215c5733a9886db7ec29">distance</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Distance along the ray.  <a href="#f3e8eed523c4215c5733a9886db7ec29"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#58ba184768924a39ab195dcf96472f65">movable</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The movable, or NULL if this is not a movable result.  <a href="#58ba184768924a39ab195dcf96472f65"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#cc6655f373532d7b9d3017acab7535a9">worldFragment</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The world fragment, or NULL if this is not a fragment result.  <a href="#cc6655f373532d7b9d3017acab7535a9"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This struct allows a single comparison of result data no matter what the type. 
<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00352">352</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="34a0b8081991ce12025445ae35117ca6"></a><!-- doxytag: member="Ogre::RaySceneQueryResultEntry::operator&lt;" ref="34a0b8081991ce12025445ae35117ca6" args="(const RaySceneQueryResultEntry &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::RaySceneQueryResultEntry::operator&lt;           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html">RaySceneQueryResultEntry</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Comparison operator for sorting. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00361">361</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

<p>References <a class="el" href="OgreSceneQuery_8h-source.html#l00355">distance</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f3e8eed523c4215c5733a9886db7ec29"></a><!-- doxytag: member="Ogre::RaySceneQueryResultEntry::distance" ref="f3e8eed523c4215c5733a9886db7ec29" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#f3e8eed523c4215c5733a9886db7ec29">Ogre::RaySceneQueryResultEntry::distance</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Distance along the ray. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00355">355</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneQuery_8h-source.html#l00361">operator&lt;()</a>.</p>

</div>
</div><p>
<a class="anchor" name="58ba184768924a39ab195dcf96472f65"></a><!-- doxytag: member="Ogre::RaySceneQueryResultEntry::movable" ref="58ba184768924a39ab195dcf96472f65" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a>* <a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#58ba184768924a39ab195dcf96472f65">Ogre::RaySceneQueryResultEntry::movable</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The movable, or NULL if this is not a movable result. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00357">357</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cc6655f373532d7b9d3017acab7535a9"></a><!-- doxytag: member="Ogre::RaySceneQueryResultEntry::worldFragment" ref="cc6655f373532d7b9d3017acab7535a9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a>* <a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#cc6655f373532d7b9d3017acab7535a9">Ogre::RaySceneQueryResultEntry::worldFragment</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The world fragment, or NULL if this is not a fragment result. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00359">359</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:30 2008
</p>
</body>
</html>
